import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询标签管理列表
export function listIncomeLabel(query) {
  return request({
    url: '/incomelabel/list',
    method: 'get',
    params: query
  })
}

// 2. 查询标签管理详细信息
export function getIncomeLabel(businessId) {
  return request({
    url: '/incomelabel/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增标签管理
export function addIncomeLabel(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomelabel/add',
    method: 'post',
    data: data
  })
}

// 4. 修改标签管理
export function updateIncomeLabel(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomelabel/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除标签管理
export function delIncomeLabel(businessId) {
  return request({
    url: '/incomelabel/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出标签管理
export function exportIncomeLabel(query) {
  return request({
    url: '/incomelabel/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 7. 查询标签管理详细信息
export function findByLocation(location) {
  return request({
    url: '/incomelabel/findByLocation/' + location,
    method: 'get'
  })
}
